BareMetal API, REST: PublicPrefixPool.List
Lists public prefix pools in the specified folder.
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/publicPrefixPools
Query parameters
|
Field |
Description |
|
folderId |
string ID of the folder to list public prefix pools in. |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string By which column the listing should be ordered and in which direction, |
|
filter |
string A filter expression that filters resources listed in the response.
|
Response
HTTP Code: 200 - OK
{
"publicPrefixPools": [
{
"id": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"cidr": "string",
"minAvailablePrefix": "string",
"createdAt": "string",
"labels": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
publicPrefixPools[] |
List of public prefix pool resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
PublicPrefixPool
|
Field |
Description |
|
id |
string ID of the public prefix pool. |
|
cloudId |
string ID of the cloud that the public prefix pool belongs to. |
|
folderId |
string ID of the folder that the public prefix pool belongs to. |
|
name |
string Name of the public prefix pool. |
|
description |
string Description of the public prefix pool. |
|
cidr |
string CIDR block of the public prefix pool. |
|
minAvailablePrefix |
string (int64) Minimal prefix that could be used for subnet creation |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
labels |
object (map<string, string>) Resource labels as |